List accounts
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/accounts?limit=100&offset=100"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <credentials>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/accounts?limit=100&offset=100';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.wpengineapi.com/v1/accounts?limit=100&offset=100' \ --header 'Authorization: Basic <credentials>'Returns the accounts the authenticated user can access.
Results are paginated - use the limit and offset parameters to
page through large sets.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”(Optional) The number of records to return
Example
100(Optional) The first record of the result set to be retrieved
Example
100Responses
Section titled “Responses”Returns a list of Account objects.
object
Path to the previous page of results
Path to the next page of results
The total number of results
object
The account name
The account nickname
Example
{ "previous": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=0", "next": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=200", "count": 225, "results": [ { "id": "eeda3227-9a39-46ae-9e14-20958bb4e6c9", "name": "joesaccount", "nickname": "joesaccount" } ]}Bad Request
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
An array of error objects describing specific errors that arose when servicing the request
object
The name of the resource that was being processed when the error occurred
(Optional) The specific field associated with the error
(Optional) A type associated with the error. invalid_value, access_error, value_unavailable
(Optional) A machine code relating to the error that occurred with the field and resource
(Optional) A human-readable message relating to the error that occurred with the field and resource
Example
{ "message": "Invalid request.", "errors": [ { "resource": "Resource", "field": "field_name", "type": "invalid_value", "code": "invalid", "message": "The value is invalid." } ]}Authentication Error
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Bad Credentials"}Not authorized
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "You don't have permission to perform that action"}Too many requests
Internal Server Error
object
A message regarding the error that occurred on the server
Example
{ "message": "An unexpected error occurred, please try again in a few minutes"}Service unavailable